package it.enea.cruise.model.user;

import com.fasterxml.jackson.annotation.JsonIgnore;

import javax.persistence.*;


@Entity
@Table(name = "flows_communities")
public class FlowCommunity {
	@EmbeddedId
	@JsonIgnore
	private FlowCommunityId id = new FlowCommunityId();

	@ManyToOne
	@JoinColumn(name = "flowid")
	@MapsId("flowid")
	private Flow flow;

	@ManyToOne
	@JoinColumn(name = "communityid")
	@MapsId("communityid")
	private Community community;

	@Column(name = "accountconsumption")
	private String accountconsumption;
}
